<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Move Method (IEdmFolder6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder6 Interface : Move Method (IEdmFolder6)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

lNewParentID
  ID of new parent folder

lFlags
  0; reserved for future use

Moves this folder to a new location.

# Syntax

Visual Basic |
--- | ---

    Sub Move( _
       ByVal lParentWnd As System.Integer, _
       ByVal lNewParentID As System.Integer, _
       ByVal lFlags As System.Integer _
    )

C# |
--- | ---

    void Move(
       System.int lParentWnd,
       System.int lNewParentID,
       System.int lFlags
    )

C++/CLI |
--- | ---

    void Move(
    &   System.int lParentWnd,
    &   System.int lNewParentID,
    &   System.int lFlags
    )

#### Parameters

lParentWnd
  Parent window handle
lNewParentID
  ID of new parent folder
lFlags
  0; reserved for future use

# Remarks

If this folder contains files with external references, this method could take an extended period of time to rewrite the include paths.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmFolder6 Interface
IEdmFolder6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0